Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.bufferio
Class MarkersSaveRequest

    java.lang.Object
      org.gjt.sp.util.Task
          org.gjt.sp.jedit.bufferio.MarkersSaveRequest

All Implemented Interfaces:
  java.lang.Runnable, ProgressObserver

    public class MarkersSaveRequest

extends Task

A save request for markers. Factored out from BufferSaveRequest.java

Field Summary
`protected Buffer` | `buffer`
`static java.lang.String` | `ERROR_OCCURRED`
`protected java.lang.String` | `markersPath`
`protected java.lang.String` | `path`
`protected java.lang.Object` | `session`
`protected VFS` | `vfs`
`protected View` | `view`

Constructor Summary
`MarkersSaveRequest(View view, Buffer buffer, java.lang.Object session, VFS vfs, java.lang.String path)` Creates a new I/O request for markers.

Method Summary
`void` | `_run()` This is the method you have to implement and that will be executed in the thread.

Methods inherited from class org.gjt.sp.util.Task
`cancel, getLabel, getMaximum, getState, getStatus, getValue, isCancellable, run, setCancellable, setLabel, setMaximum, setStatus, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_OCCURRED

    public static final java.lang.String ERROR_OCCURRED

See Also:
  Constant Field Values

### view

    protected View view

### buffer

    protected Buffer buffer

### session

    protected java.lang.Object session

### vfs

    protected VFS vfs

### path

    protected java.lang.String path

### markersPath

    protected java.lang.String markersPath

Constructor Detail

### MarkersSaveRequest

    public MarkersSaveRequest(View view,
                              Buffer buffer,
                              java.lang.Object session,
                              VFS vfs,
                              java.lang.String path)

  Creates a new I/O request for markers.

  Parameters:
    `view` - The view
    `buffer` - The buffer
    `session` - The VFS session
    `vfs` - The VFS
    `path` - The path

Method Detail

### _run

    public void _run()

  Description copied from class: `Task`
  This is the method you have to implement and that will be executed in the thread.

  Specified by:
    `_run` in class `Task`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD